zenilib: zenilib/jni/external/freetype2/src/pfr/pfrobjs.h File Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Classes | Typedefs | Functions
pfrobjs.h File Reference
`#include "pfrtypes.h"`

Go to the source code of this file.

## Classes

struct | PFR_FaceRec_
struct | PFR_SizeRec_
struct | PFR_SlotRec_

## Typedefs

typedef typedefFT_BEGIN_HEADER struct PFR_FaceRec_ * | PFR_Face
typedef struct PFR_FaceRec_ | PFR_FaceRec
typedef struct PFR_SizeRec_ * | PFR_Size
typedef struct PFR_SizeRec_ | PFR_SizeRec
typedef struct PFR_SlotRec_ * | PFR_Slot
typedef struct PFR_SlotRec_ | PFR_SlotRec

## Functions

| pfr_face_done (FT_Face face)
| pfr_face_get_kerning (FT_Face face, FT_UInt glyph1, FT_UInt glyph2, FT_Vector *kerning)
| pfr_face_init (FT_Stream stream, FT_Face face, FT_Int face_index, FT_Int num_params, FT_Parameter *params)
| pfr_slot_done (FT_GlyphSlot slot)
| pfr_slot_init (FT_GlyphSlot slot)
| pfr_slot_load (FT_GlyphSlot slot, FT_Size size, FT_UInt gindex, FT_Int32 load_flags)

## Typedef Documentation

typedef typedefFT_BEGIN_HEADER struct PFR_FaceRec_* PFR_Face

Definition at line 27 of file pfrobjs.h.

typedef struct PFR_FaceRec_ PFR_FaceRec

typedef struct PFR_SizeRec_* PFR_Size

Definition at line 29 of file pfrobjs.h.

typedef struct PFR_SizeRec_ PFR_SizeRec

typedef struct PFR_SlotRec_* PFR_Slot

Definition at line 31 of file pfrobjs.h.

typedef struct PFR_SlotRec_ PFR_SlotRec

## Function Documentation

pfr_face_done | ( | FT_Face | face | ) |

Definition at line 43 of file pfrobjs.c.

References FT_FACE_MEMORY, FT_FREE, NULL, and pfr_phy_font_done().

pfr_face_get_kerning | ( | FT_Face | face,
|  | FT_UInt | glyph1,
|  | FT_UInt | glyph2,
|  | FT_Vector * | kerning
| ) |  |

Definition at line 465 of file pfrobjs.c.

References PFR_KernItemRec_::base_adj, PFR_CharRec_::char_code, PFR_PhyFontRec_::chars, FT_StreamRec_::cursor, error, PFR_KernItemRec_::flags, FT_Bool, FT_BOOL, FT_FRAME_ENTER, FT_FRAME_EXIT, ft_highpow2(), FT_NEXT_ULONG, FT_PEEK_SHORT, FT_STREAM_SEEK, PFR_PhyFontRec_::kern_items, PFR_KernItemRec_::next, PFR_PhyFontRec_::num_chars, PFR_KernItemRec_::offset, PFR_KernItemRec_::pair1, PFR_KernItemRec_::pair_count, PFR_KernItemRec_::pair_size, PFR_KERN_INDEX, and PFR_NEXT_KPAIR.

Referenced by pfr_get_kerning().

pfr_face_init | ( | FT_Stream | stream,
|  | FT_Face | face,
|  | FT_Int | face_index,
|  | FT_Int | num_params,
|  | FT_Parameter * | params
| ) |  |

Definition at line 67 of file pfrobjs.c.

References PFR_CharRec_::advance, PFR_PhyFontRec_::bbox, PFR_PhyFontRec_::chars, FT_CharMapRec_::encoding, FT_CharMapRec_::encoding_id, error, FT_CharMapRec_::face, PFR_PhyFontRec_::family_name, PFR_PhyFontRec_::flags, PFR_PhyFontRec_::font_id, FT_BOOL, FT_CMap_New(), FT_ERROR, FT_FACE_FLAG_FIXED_SIZES, FT_FACE_FLAG_FIXED_WIDTH, FT_FACE_FLAG_HORIZONTAL, FT_FACE_FLAG_KERNING, FT_FACE_FLAG_SCALABLE, FT_FACE_FLAG_VERTICAL, FT_NEW_ARRAY, FT_TRACE2, FT_UNUSED, PFR_CharRec_::gps_offset, max, NULL, PFR_PhyFontRec_::num_chars, PFR_PhyFontRec_::num_kern_pairs, PFR_PhyFontRec_::num_strikes, PFR_PhyFontRec_::outline_resolution, pfr_cmap_class_rec, pfr_header_check(), pfr_header_load(), pfr_log_font_count(), pfr_log_font_load(), pfr_phy_font_load(), PFR_PHY_PROPORTIONAL, PFR_PHY_VERTICAL, FT_CharMapRec_::platform_id, PFR_PhyFontRec_::standard_advance, PFR_PhyFontRec_::strikes, PFR_PhyFontRec_::style_name, TT_MS_ID_UNICODE_CS, TT_PLATFORM_MICROSOFT, PFR_StrikeRec_::x_ppm, PFR_StrikeRec_::y_ppm, FT_BBox_::yMax, and FT_BBox_::yMin.

pfr_slot_done | ( | FT_GlyphSlot | slot | ) |

Definition at line 303 of file pfrobjs.c.

References PFR_SlotRec_::glyph, and pfr_glyph_done().

pfr_slot_init | ( | FT_GlyphSlot | slot | ) |

Definition at line 290 of file pfrobjs.c.

References PFR_SlotRec_::glyph, and pfr_glyph_init().

pfr_slot_load | ( | FT_GlyphSlot | slot,
|  | FT_Size | size,
|  | FT_UInt | gindex,
|  | FT_Int32 | load_flags
| ) |  |

Definition at line 313 of file pfrobjs.c.

References error, FT_Bool, FT_BOOL, FT_GLYPH_FORMAT_OUTLINE, FT_LOAD_NO_BITMAP, FT_LOAD_NO_SCALE, FT_LOAD_SBITS_ONLY, FT_MulDiv(), FT_MulFix(), FT_Outline_Get_CBox(), FT_OUTLINE_HIGH_PRECISION, FT_OUTLINE_OWNER, FT_OUTLINE_REVERSE_FILL, FT_Outline_Transform(), FT_Pos, PFR_SlotRec_::glyph, if(), PFR_GlyphRec_::loader, pfr_glyph_load(), PFR_PHY_VERTICAL, pfr_slot_load_bitmap(), vec, FT_Vector_::x, FT_BBox_::xMax, FT_BBox_::xMin, FT_Matrix_::xx, FT_Matrix_::xy, FT_Vector_::y, FT_BBox_::yMax, FT_BBox_::yMin, FT_Matrix_::yx, and FT_Matrix_::yy.